@import "~antd/dist/antd.css";

.types {
  width: 15%;
  margin: 1rem;
  @media only screen and (max-width: 768px){
    display: none;
  }

  h4 {
    width: 70%;
    float: right;
    padding-left: 5px;
    font-size: 12px;
  }
}

#forecast_embed {
  min-width: auto;
}

#weatherwidget-io-0,
.weatherwidget-io-frame {
  height: 100vh !important;
  position: initial !important;
  margin: auto !important;
  max-width: 600px !important;
}
#weatherwidget-io,
.weatherwidgetio {
  display: block !important;
  overflow: hidden !important;
  text-align: left !important;
  height: 520px !important;
  margin: auto !important;
}

.helpImg {
  max-width: 100%;
}

.focus {
  display: flex;
  align-items: center;
}

.disabled {
  pointer-events: none;
  cursor: default;
}

.button {
  background: url("../../assets/images/graph-icon.png") no-repeat;
  width: 40px;
  height: 40px;
  border: none;
  margin: 0;
  padding: 0;
}

.button:disabled {
  filter: grayscale(1);
}



.section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  margin: 5rem 0;
  background-color: white;
}

.mainContainer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  margin: 0rem auto;
}

.serviceImage {
  width: 50%;
}

.imgBox {
  overflow: scroll;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

p {
  font-family: "Calibri";
  font-weight: bold;
  font-size: large;
}

.forecastImage, .forecastImageWithMargin {
  width: 100%;
  @media only screen and (max-width: 768px){ 
    width: 520px;
  }
}

.forecastImageWithMargin{
  margin-left: 100px;
}

.qualityPdf{
  width: 100%;
}

.forecastPdf {
  width: 52rem;
  height: 52rem;
  @media only screen and (max-width: 768px){
    width: 100%;
    height: 100%;
  }
}

.darkSky{
  @media only screen and (max-width: 768px){
    margin-left: 210px;
  }
}

.imgOptions {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.centerBox {
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  margin: 15px;
}

.buttonsDiv{
  display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 1%;
    right: 1%;
    width: 100%;
}
.buttonsDivScience{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.btnIcon{
  position: absolute;
  top: 39%;
  right: 40%;
  svg{
    color: white;
  }
  
}

.arrowsBox {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin: auto;
  margin-top: 2rem;
}

.icon {
  cursor: pointer;
  max-width: 40px;
  max-height: 40px;
}

.services {
  align-self: center;
  width: 100%;
  background: #f8f9fc;
  text-align: center;
  h2{
    margin: 3rem 0;
    color: #297ecd;
  }
  .serviceContainer{
      display: flex;
      justify-content: center;
      @media only screen and (max-width: 768px){ 
        flex-wrap: wrap;
      }
  }
}

.calendars {
  display: flex;
  flex-flow: column;
  justify-content: center;
}

.calendarIcon {
  cursor: pointer;
  max-width: 40px;
  max-height: 40px;
  margin: auto;
}

.disabled {
  pointer-events: none;
  cursor: default;
  max-width: 80px;
    max-height: 80px;
}

.example {
  text-align: center;
  background: rgba(0, 0, 0, 0.05);
  border-radius: 4px;
  margin-bottom: 20px;
  padding: 30px 50px;
  margin: 20px 0;
}

.boxWithLineMenu {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  width: 95%;
  border: 1px solid #dbdbdb;
  border-radius: 5px;
  font-size: 12px;
  margin-bottom: 20px;
  @media only screen and (max-width: 768px){
    flex-flow: row wrap;
  }
  .icon {
    max-width: 40% !important;
    height: auto !important;
    background-color: red !important;
  }
}

.topMenuBtn, .topMenuBtnSelected {
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  color: #444;
  width: -webkit-fill-available;
  cursor: pointer;
  padding: 20px 0;
  @media only screen and (max-width: 768px){
    flex: 1 0 21%;
  }

  a {
    display: flex;
    flex-flow: column;
    align-items: center;
  }

  button img {
    max-width: 59% !important;
    height: auto !important;
    max-height: fit-content;
  }

  h4 {
    text-align: center;
  }
}

.topMenuBtn:hover, .topMenuBtnSelected {
  box-shadow: 0 0 10px #297ecd;
  background-color: white;
  border-radius: 5px;
  transform: scale(1.05);
}


.topService {
  margin: 0;
  border: 1px solid black;
  padding: 0;
  background-color: #2a7ecd !important;
  border-color: #2a7ecd !important;
  font-family: "Nunito", sans-serif;
  font: 1rem Nunito, sans-serif;
  color: white;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  position: relative;
  padding: 0.75rem 1.25rem;
  margin-bottom: -1px;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.125);
  text-align: center;
}

.serviceBtn,
.focus {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-bottom: 0;
  cursor: pointer;
}

.serviceBtn:last-child {
  border: 1px solid rgba(0, 0, 0, 0.125);
}

.serviceBtn:hover{
  box-shadow: 0 0 10px #297ecd;
  transform: scale(1.01);
}
